!!****if* source/Simulation/SimulationMain/Sod/Simulation_data
!!
!! NAME
!!  Simulation_data
!!
!! SYNOPSIS
!!
!!  use Simulation_data
!!
!! DESCRIPTION
!!
!!  Store the simulation data for the Sod problem
!!
!! ARGUMENTS
!!
!!
!! PARAMETERS
!!
!!  sim_rhoLeft    Density in the left part of the grid
!!  sim_rhoRight   Density in the right part of the grid
!!  sim_pLeft      Pressure  in the left part of the grid
!!  sim_pRight     Pressure  in the righ part of the grid
!!  sim_uLeft      fluid velocity in the left part of the grid
!!  sim_uRight     fluid velocity in the right part of the grid
!!  sim_xangle     Angle made by diaphragm normal w/x-axis (deg)
!!  sim_ yangle    Angle made by diaphragm normal w/y-axis (deg)
!!  sim_posnR      Point of intersection between the shock plane and the x-axis
!!
!!
!!   
!!
!!***

module Simulation_data

  implicit none

  !! *** Runtime Parameters *** !!

  real, save :: sim_rhoAmb, sim_eintAmb, sim_tempAmb, sim_presAmb

  character(len=32), save :: filename

  !! *** Variables pertaining to Simulation Setup 'Sod' *** !!
  real, allocatable, dimension(:,:), save :: sim_partPos, sim_partVel
  real, allocatable, dimension(:), save :: sim_partM, sim_partH, sim_partU, sim_partT, sim_partP, sim_partD
  real, allocatable, dimension(:), save :: sim_xar36   , sim_xc12   , sim_xca40,  &
                                           sim_xcr48   , sim_xfe52  , sim_xhe4 ,  &
                                           sim_xmg24   , sim_xne20  , sim_xni56,  &
                                           sim_xo16    , sim_xs32   , sim_xsi28,  &
                                           sim_xti44   

  real, save :: sim_smallx, sim_smallT
  integer, save :: sim_npart

end module Simulation_data


