!!****if* source/Simulation/SimulationMain/CheckEOS/Simulation_init
!!
!! NAME
!!
!!  Simulation_init
!!
!!
!! SYNOPSIS
!!
!!  Simulation_init(integer(in) :: myPE)
!!
!!
!! DESCRIPTION
!!
!!  Initializes all the parameters needed to check EOS domain
!!
!! ARGUMENTS
!!
!!  myPE - the local processor number
!!
!! PARAMETERS
!!
!!
!!***

subroutine Simulation_init(myPE)
  
  use Simulation_data
  use RuntimeParameters_interface, ONLY : RuntimeParameters_get
  use Logfile_interface, ONLY : Logfile_stamp

  implicit none

#include "Flash.h"
#include "constants.h"

  integer, intent(in) :: myPE
  integer dummy

  call RuntimeParameters_get('tempAmbient',sim_tempAmb)
  call RuntimeParameters_get('rhoAmbient',sim_rhoAmb)

 
  call Logfile_stamp(myPE, "initializing SPHinit problem",  &
       "[Simulation_init]")
     
end subroutine Simulation_init







